Bug 651101 - Review Request: psfex - Model the Point Spread Function from FITS images
Summary: Review Request: psfex - Model the Point Spread Function from FITS images
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Gieseking
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-08 20:20 UTC by Sergio Pascual
Modified: 2011-01-18 16:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-18 16:11:21 UTC
Type: ---
martin.gieseking: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Sergio Pascual 2010-11-08 20:20:26 UTC
Spec URL: http://sergiopr.fedorapeople.org/psfex.spec
SRPM URL: http://sergiopr.fedorapeople.org/psfex-3.9.1.tar.gz
Description: PSFEx (“PSF Extractor”) extracts models of the Point Spread 
Function (PSF) from FITS images processed with SExtractor and measures 
the quality of images. The generated PSF models can be used for 
model-fitting photometry or morphological analyses.

Comment 2 Martin Gieseking 2011-01-15 14:26:37 UTC
Hi Sergio,

the package looks almost fine. Just a couple of minor notes:

- drop %{_mandir}/manx/psfex.x from the package as psfex.x doesn't contain any 
  useful information (and directory %{_mandir}/manx is unowned).

- be more explicit in %files especially when adding only single files:
  %{_bindir}/*       => %{_bindir}/%{name}
  %{_mandir}/man1/*  => %{_mandir}/man1/%{name}.1*

- drop empty file BUGS from %doc

Comment 3 Sergio Pascual 2011-01-16 08:56:03 UTC
Thanks for the comments, updated:

Spec URL: http://sergiopr.fedorapeople.org/psfex.spec
SRPM URL: http://sergiopr.fedorapeople.org/psfex-3.9.1-1.fc14.src.rpm

Comment 5 Martin Gieseking 2011-01-16 09:39:10 UTC
Here's the formal review. The package looks fine now.


$ rpmlint  /var/lib/mock/fedora-14-x86_64/result/*.rpm
psfex.src: W: spelling-error %description -l en_US analyses -> analysis, analysts, analyzes
psfex.x86_64: W: spelling-error %description -l en_US analyses -> analysis, analysts, analyzes
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

The above warnings are false positive and can be ignored.

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: The file containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum psfex-3.9.1.tar.gz*
    6198a18258c9331ac91a88c4506c5f5d  psfex-3.9.1.tar.gz
    6198a18258c9331ac91a88c4506c5f5d  psfex-3.9.1.tar.gz.1

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
    koji scratch build (f15):
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2724231

[.] MUST: If the package does not successfully compile, build or work ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: Packages storing shared library files (not just symlinks) must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: library files that end in .so (without suffix) must go in a -devel package.
[.] MUST: devel packages must require the base package
[+] MUST: Packages must NOT contain any .la libtool archives
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a separate file
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: subpackages other than devel should require the base package
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin ...
[+] SHOULD: your package should contain man pages for binaries/scripts.

----------------
Package APPROVED
----------------

Comment 6 Sergio Pascual 2011-01-16 10:51:17 UTC
New Package SCM Request
=======================
Package Name: psfex
Short Description: Model the Point Spread Function from FITS images
Owners: sergiopr
Branches: f13 f14 el6 el5
InitialCC: astronomy-sig

Comment 7 Jens Petersen 2011-01-18 07:00:56 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.